<template>
  <div />
</template>
<script>
export default {
  data() {
    return {
      param: ''
    }
  },
  mounted() {
    this.param = this.$route.query.queryOlderP
    if (this.$store.state.user.unitName === '市局领导') {
      if (this.param === '1') {
        this.$router.push({ path: this.redirect || '/', query: { queryOlderP: this.param }})
      } else {
        this.$router.push({ path: this.redirect || '/' })
      }
    } else {
      if (this.param === '1') {
        this.$router.push({ path: '/menuIndex/index', query: { queryOlderP: this.param }})
      } else {
        this.$router.push({ path: '/menuIndex/index' })
      }
    }
  }
}
</script>
